Skip to content

Export agent certificate as X.509 PEM

GET
/api/v1/agents/{role}/certificate/export
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/agents/example/certificate/export \
--header 'X-API-Key: <X-API-Key>'

Downloads the agent’s certificate in X.509 PEM format for external verification or import into trust stores.

role
required
Role

The agent role (e.g. CEO)

string

The agent role (e.g. CEO)

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}